Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class ObjectGraphBuilder.DefaultClassNameResolver

    java.lang.Object
      groovy.util.ObjectGraphBuilder.DefaultClassNameResolver

All Implemented Interfaces:
  ObjectGraphBuilder.ClassNameResolver

Enclosing class:
  ObjectGraphBuilder

    public static class ObjectGraphBuilder.DefaultClassNameResolver

extends Object
implements ObjectGraphBuilder.ClassNameResolver

Default impl that capitalizes the classname.

Constructor Summary
`ObjectGraphBuilder.DefaultClassNameResolver()`

Method Summary
`String` | `resolveClassname(String classname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectGraphBuilder.DefaultClassNameResolver

    public ObjectGraphBuilder.DefaultClassNameResolver()

Method Detail

### resolveClassname

    public String resolveClassname(String classname)

  Specified by:
    `resolveClassname` in interface `ObjectGraphBuilder.ClassNameResolver`
  Parameters:
    `classname` - the node name as written on the building code

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD